# Define the versions only if it is not already defined
%{!?ndiswrapper_version: %define ndiswrapper_version 1.54}
%{!?ndiswrapper_release: %define ndiswrapper_release b1}

%{!?kernel: %define kernel %(uname -r)}
%{!?ksrc: %define ksrc /lib/modules/%{kernel}/build}
%{!?_inst_dir: %define _inst_dir /lib/modules/%{kernel}/misc}

%define _sbinrootdir /sbin

Summary: ndiswrapper allows you to use Windows XP drivers for that WLAN card without proper Linux drivers.
Name: ndiswrapper
Version: %{ndiswrapper_version}
Release: %{ndiswrapper_release}
License: GPL
Group: System Environment/Base
URL: http://ndiswrapper.sourceforge.net
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: %{ksrc}/Makefile
BuildArchitectures: i586

%description
Some wireless LAN vendors refuse to release hardware specifications or
drivers for their products for operating systems other than Microsoft
Windows. The ndiswrapper project makes it possible to use such
hardware with Linux by means of a loadable kernel module that "wraps
around" NDIS (Windows network driver API) drivers.  This rpm contains
just the userspace tools. You will also need the kernel module rpm.

#%package -n kernel-module-%{name}-%{kernel}
#Summary: Ndiswrapper kernel module
#Group: System Environment/Base
#Requires: /boot/vmlinuz-%{kernel}, modutils
#Requires: %{name} = %{version}-%{release}
#BuildRequires: %{ksrc}/Makefile
#
#%description -n kernel-module-%{name}-%{kernel}
#Kernel module for ndiswrapper.

%prep
%setup -q
%build
make all KVERS=%{kernel} KSRC=%{ksrc}

%install
%define inst_dir $RPM_BUILD_ROOT%{_inst_dir}
%define sbindir $RPM_BUILD_ROOT%{_sbinrootdir}
%define usrsbindir $RPM_BUILD_ROOT%{_sbindir}
%define mandir $RPM_BUILD_ROOT%{_mandir}

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INST_DIR=%{inst_dir} KVERS=%{kernel} KSRC=%{ksrc} sbindir=%{sbindir} usrsbindir=%{usrsbindir} mandir=%{mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%{_sbinrootdir}/loadndisdriver
%{_sbindir}/ndiswrapper*
#%{_mandir}/man8/*
#%doc README AUTHORS ChangeLog INSTALL

#%files -n kernel-module-%{name}-%{kernel}
%{_inst_dir}/ndiswrapper.*

%post
#%post -n kernel-module-%{name}-%{kernel}
if [ "`uname -r`" = "%{kernel}" ] ; then
  depmod -a >/dev/null 2>&1 || :
fi

%postun
#%postun -n kernel-module-%{name}-%{kernel}
if [ "`uname -r`" = "%{kernel}" ] ; then
  depmod -a >/dev/null 2>&1 || :
fi

%changelog
* Sun Jul 5 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.54-2.6.30
* Sat Sep 13 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.53
* Tue Feb 12 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.52
* Thu Oct 25 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.48
* Wed Jul 4 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.47
* Mon Mar 5 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.38
* Mon Dec 25 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.32
* Fri Sep 22 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.23
* Fri Jul 14 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.19
* Tue Jun 15 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.17
* Tue Apr 11 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.13
* Tue Mar 21 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.10
* Sat Dec 24 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.7
* Fri Nov 4 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.5
* Sat Aug 27 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.3rc1
* Fri Apr 15 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.1
* Wed Feb 9 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
